=head1 NAME

Gnome2::VFS::Application

=cut


=head1 METHODS

=head2 $app_id-E<gt>B<add_mime_type> ($mime_type)

=over

=item * $mime_type (string) 

=back

=head2 list = $app_id-E<gt>B<get_bool_value> ($key)

=over

=item * $key (string) 

=back


Returns the actual value and a boolean indicating whether the requested key was
found.


=head2 $app_id-E<gt>B<set_bool_value> ($key, $value)

=over

=item * $key (string) 

=item * $value (boolean) 

=back

=head2 $app_id-E<gt>B<clear_mime_types> 

=head2 boolean = $app_id-E<gt>B<exists> 

=head2 list = $app_id-E<gt>B<get_keys> 


Returns a list of valid keys for that application.


=head2 application = $app_id-E<gt>B<get_mime_application> 

=head2 list = $app_id-E<gt>B<get_mime_types> 


Returns a list of MIME types this application can handle.


=head2 string = $app_id-E<gt>B<peek_value> ($key)

=over

=item * $key (string) 

=back

=head2 $app_id-E<gt>B<remove_application> 

=head2 $app_id-E<gt>B<remove_mime_type> ($mime_type)

=over

=item * $mime_type (string) 

=back

=head2 boolean = $app_id-E<gt>B<supports_mime_type> ($mime_type)

=over

=item * $mime_type (string) 

=back

=head2 boolean = $app_id-E<gt>B<supports_uri_scheme> ($uri_scheme)

=over

=item * $uri_scheme (string) 

=back

=head2 $app_id-E<gt>B<unset_key> ($key)

=over

=item * $key (string) 

=back

=head2 $app_id-E<gt>B<set_value> ($key, $value)

=over

=item * $key (string) 

=item * $value (string) 

=back



=cut


=head1 SEE ALSO

L<Gnome2::VFS>


=cut


=head1 COPYRIGHT

Copyright (C) 2003-2007, 2013 by the gtk2-perl team.

This software is licensed under the LGPL.  See L<Gnome2::VFS> for a full notice.



=cut

